# RogueSquadron Extractor - TEXTURE module

Inspired by the work of **dpethes** (https://github.com/dpethes/rerogue) :clap:

This set of git repos are a compilation of tools coded in C to make RS modding far more than a dream!
The collection consist of few independants modules, each of them deals with specific data like sound, textures, heightmaps, etc...

All modules are independants. This is the **'TEXTURE'** module.

:exclamation: **Master branch is ugly for now and should not be used, please take only released versions.** :exclamation:

## TEXTURE MODULE

It's extract texture datas from Rogue Squadron 3D (PC) game textures files (HMT).

This module can do:
- Extract textures inside HMT files to PNG format,
- Extract automatically inside subfolder (usefull when you have a lot of pictures to extract),
- Multiple inputs files,
- Manage transparent textures,
- Fixed some errored RGB color encoding.

### Using

`RSE-Texture_"version" [options] <hmt files...>` or you can simply drag&drop hmt files on it.

Some textures samples can be found here (https://bit.ly/2DGjtng). A futur main program can extract all HMT files directly from DAT file.

### Options

- -h    		Print this message
- -v			Activate verbose output
- -no-subdir	Extract textures directly inside current folder

### Dependencies

Necessary libs (provided only in windows release) for running and for compiling.

- zlib (1.2.11)
- libpng (1.6.37)

### Compiling

You can compile on both Windows (MinGW) or native Linux system thanks to CMake, you only need to adjust your dependencies on Windows.
zlib (zlib1g) and libpng16 distrib packages can be used on debian/ubuntu.

To compile, just clone and launch cmake: 

```shell
cmake .
make
make install
```

On Windows system, you will probably need to specify the dependency flags for CMake.